[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TSEMid_ds

Structure returned by the semctl call, contains all data of a semaphore

## Declaration

Source position: ipc.pp line 709

`type TSEMid_ds = record`
`sem_perm: TIPC_Perm;` |  | IPC permissions
`sem_otime: time_t;` |  | Last operation time
`unused1: culong;`
`sem_ctime: time_t;` |  | Create time
`unused2: culong;`
`sem_nsems: culong;` |  | Number of semaphores
`unused3: culong;`
`unused4: culong;`
`end;`